/////////////////////////
// インクルードファイル
/////////////////////////
#include	"ECCSkelton.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	MessageBoxW(0, lpCmdLine, L"wWinMainのlpCmdLine", MB_OK);

	CARG arg;
	for(int i = 0; i < arg.c(); i++) {
		WCHAR str[64];
		wsprintf(str, L"CARGのargv[%d] (arg.v(%d)))", i, i);
		MessageBoxW(0, arg.v(i), str, MB_OK);
	}
	MessageBoxW(0, arg.Drive(), L"arg.Drive()", MB_OK);
	MessageBoxW(0, arg.Path(), L"arg.Path()", MB_OK);
	MessageBoxW(0, arg.FileName(), L"arg.FileName()", MB_OK);
	MessageBoxW(0, arg.Ext(), L"arg.Ext()", MB_OK);
	return 0L;
}
